package com.elab.mq.api;

/**
 * 事件实体
 *
 * @author Liukx
 * @create 2018-04-10 19:44
 * @email liukx@elab-plus.com
 **/
public enum Action {

    CommitMessage,
    ReconsumeLater;

    public static com.aliyun.openservices.ons.api.Action getAction(Action action) {
        if (Action.CommitMessage.name().equals(action.name())) {
            return com.aliyun.openservices.ons.api.Action.CommitMessage;
        } else if (Action.ReconsumeLater.name().equals(action.name())) {
            return com.aliyun.openservices.ons.api.Action.ReconsumeLater;
        }
        return null;
    }

}
